# PDF Helper

Technical module to share PDF utils.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Inside Odoo env:

    res = env["pdf.helper"].pdf_get_xml_files(pdf_filecontent)

    new_pdf_filecontent = env["pdf.helper"].pdf_embed_xml(pdf_filecontent, filename, xml)

Outside Odoo env:

    from odoo.addons.pdf_helper.utils import PDFParser
    [...]
    res = PDFParser(pdf_filecontent).get_xml_files()

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Camptocamp

## Contributors

- Simone Orsi <simone.orsi@camptocamp.com>
- Alexis de Lattre <alexis.delattre@akretion.com>
- Jacques-Etienne Baudoux (BCIM) <je@bcim.be>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainers:

This module is part of the OCA/edi project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.